@use '../../../queries';

:host {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  height: 100%;
}

#teaser-container {
  background-color: #111;
  color: white;
  position: relative;
  width: 100%;
  box-sizing: border-box;
  min-height: 50vh;

  padding: 0 10vw;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-content: center;

  @include queries.small {
    padding: 0;
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 5rem;
    min-height: 100vh;

    > * {
      width: 90%;
      margin: 0 auto;
    }
  }

  @include queries.medium {
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 5rem;
    min-height: 60vh;
  }
}

#particles {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
}

#logo {
  --viewer-size: 10rem;

  @include queries.small {
    --viewer-size: 25vw;
  }

  display: flex;
  justify-content: center;
  align-items: flex-start;

  transition: filter 500ms cubic-bezier(0.33, 1, 0.68, 1),
    transform 1s cubic-bezier(0.33, 1, 0.68, 1);
  transform: translateY(-10%);
  filter: opacity(0);
  &.shown {
    transform: translateY(0%);
    filter: opacity(1);
  }

  div {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    position: relative;

    height: var(--viewer-size);
    transform: translateY(50%);
    > * {
      transform: translateY(-66%);
    }

    img {
      width: calc(var(--viewer-size) * 2);
    }

    p {
      position: absolute;
      top: calc(0.5rem + calc(var(--viewer-size) / 3));
      margin: 0;
      font-size: 1.4rem;
      font-weight: lighter;
    }

    @include queries.small {
      p {
        font-size: 1rem;
      }
    }
  }

  iframe {
    width: var(--viewer-size);
    height: var(--viewer-size);
    clip-path: circle(calc(var(--viewer-size) / 2));
    transition: transform 500ms;
    display: none;
    transform: scale(0);
  }
}

#cards {
  display: grid;
  align-content: center;
  grid-row-gap: 1rem;

  #controls {
    display: flex;
    align-items: center;
    justify-content: center;
    grid-row: 2;
    grid-column: 1;

    mat-icon {
      display: flex;
      justify-content: center;
      align-items: center;

      --size: 2.5rem;

      cursor: pointer;
      font-size: calc(var(--size) - 0.5rem);
      line-height: 1;
      width: var(--size);
      height: var(--size);
      user-select: none;
      border-radius: 50%;

      & + mat-icon {
        margin-left: 1rem;
      }

      transition: background 250ms ease;
      &.active {
        background: rgba(255, 255, 255, 0.25);
      }
    }
  }

  .teaser-card {
    grid-column: 1;
    grid-row: 1;
    cursor: pointer;

    .teaser-head {
      display: flex;
      justify-content: center;
      align-items: center;
    }

    h1 {
      margin: 0;
    }

    mat-icon {
      font-size: 4rem;
      line-height: 1;
      width: 4rem;
      height: 4rem;
      margin-right: 1rem;
    }

    p {
      width: 80%;
      margin: 1rem auto;
      text-align: center;
    }

    @include queries.small {
      h1 {
        font-size: 1.5rem;
      }
      mat-icon {
        font-size: 2rem;
        line-height: 1;
        width: 2rem;
        height: 2rem;
        margin-right: 1rem;
      }
    }

    transition: filter 500ms cubic-bezier(0.33, 1, 0.68, 1),
      transform 1s cubic-bezier(0.33, 1, 0.68, 1);

    filter: opacity(0);
    transform: translateY(-10%);
    pointer-events: none;
    &.shown {
      pointer-events: auto;
      transform: translateX(0%);
      filter: opacity(1);
    }
  }
}
